Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\API\Repository\PermissionCriterionResolver Interface Reference

This service provides methods for resolving criterion permissions. More...

Inheritance diagram for eZ\Publish\API\Repository\PermissionCriterionResolver:

## Public Member Functions
| getPermissionsCriterion ($module, $function, ?array $targets=null)
| Get criteria representation for a permission. More...

## Detailed Description

This service provides methods for resolving criterion permissions.

Since
  6.7.7

Definition at line 14 of file API/Repository/PermissionCriterionResolver.php.

## Member Function Documentation

## ◆ getPermissionsCriterion()

eZ\Publish\Core\Repository\Permission\PermissionCriterionResolver::getPermissionsCriterion | ( |  | $module = `'content'`,
|  |  | $function = `'read'`,
|  | ?array | $targets = `null`
| ) |  |

Get criteria representation for a permission.

Get permission criteria if needed and return false if no access at all.

Will return a criteria if current user has limited access to the given module/function, however if user has either full or no access then boolean is returned.

Parameters

  string | $module |
  string | $function |
  array | null | $targets |

Returns
  bool|\eZ\Publish\API\Repository\Values\Content\Query\Criterion

@uses \eZ\Publish\API\Repository\PermissionResolver::getCurrentUserReference() @uses \eZ\Publish\API\Repository\PermissionResolver::hasAccess()

Parameters

  string | $module |
  string | $function |
  array | $targets |

Returns
  bool|\eZ\Publish\API\Repository\Values\Content\Query\Criterion

Implemented in eZ\Publish\Core\Repository\Permission\CachedPermissionService.

Definition at line 79 of file Core/Repository/Permission/PermissionCriterionResolver.php.

Referenced by eZ\Publish\Core\Repository\PermissionsCriterionHandler\addPermissionsCriterion().

The documentation for this interface was generated from the following file:

- API/Repository/PermissionCriterionResolver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.